Roll back domain settings

Prev Next

Available in Classic and VPC

Roll back changed record information for a specified domain.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
PUT /dns/v1/ncpdns/record/rollback/{domainId}

Request headers

For information about the headers common to all Record APIs, see Record API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
domainId Integer Required Domain ID

Request example

The following is a sample request.

curl --location --request PUT 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/record/rollback/25***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Record APIs, see Record API response status codes.

Error code example

The following is a sample error code.

{
    "result": "FAIL",
    "error": {
        "errorCode": "X00006",
        "message": "Unable to roll back because an error occurred.",
        "devMessage": "Unable to roll back because an error occurred."
    }
}